MLXMCG(1)

NAME
mlxmcg - manual page for mlxmcg 4.19.0

SYNOPSIS
mlxmcg.py [options]

DESCRIPTION
Displays the current multicast groups and flow steering rules configured in the device

OPTIONS

-h, --help
    show this help message and exit

-d DEV, --dev=DEV
    MST device to use, required

-f FILE, --file=FILE
    MCG dump file to use (for debug), used as input and there is no need for device

-p PARAMS, --params=PARAMS
    Mcg params, "(MCG_ENTRY_SIZE, HASH_TABLE_SIZE, MCG_TABLE_SIZE)", default is (64, 32768, 65536)

-q, --quiet
    Do not print progress messages to stderr

-v, --version
    Print tool version

-c, --hopcount
    add hopCount column

-a, --advanced
    show all rules

SEE ALSO
The full documentation for mlxmcg is maintained as a Texinfo manual. If the info and mlxmcg programs are properly installed at your site, the command

    info mlxmcg

should give you access to the complete manual.